RuntimeProperties (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.RuntimeProperties class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol
Class RuntimeProperties

    java.lang.Object
      com.microfocus.cobol.RuntimeProperties

public class RuntimeProperties
extends Object

RuntimeProperties class contains COBOL runtime properties

Copyright: Copyright (c) 2002-2003
Company: Micro Focus International Ltd

Since:
  Net Express 4.0, Server Express 4.0
Version:
  3.11, 2/4/03

Field Summary
`static int` | `BY_CONTENT` BY_CONTENT is used in non-OO calls to COBOL in the usageDescription array.
`static int` | `BY_REFERENCE` BY_REFERENCE is used in non-OO calls to COBOL in the usageDescription array.
`static int` | `BY_VALUE` BY_VALUE is used in non-OO calls to COBOL in the usageDescription array.
`static int` | `OUTPUT_ONLY` OUTPUT_ONLY is only available for J2EE application via our connector
`static boolean` | `updateByRefParams` Static item which allows control over whether the objects in the parameter array corresponding to BY REFERENCE parameters in a COBOL method are updated on return from the cobinvoke...

Constructor Summary
`RuntimeProperties()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BY_VALUE

    public static final int BY_VALUE

  BY_VALUE is used in non-OO calls to COBOL in the usageDescription array. BY_REFERENCE is the default if usageDescription is not used

  See Also:
    `RuntimeSystem.cobcall(Object retCode, String program, Object[] array, int[] usageDescription)`, `RuntimeSystem.ccall(Object retCode, String program, Object[] array, int[] usageDescription)`, `RuntimeSystem.ccall(String program, Object[] array, int[] usageDescription)`, Constant Field Values

### BY_REFERENCE

    public static final int BY_REFERENCE

  BY_REFERENCE is used in non-OO calls to COBOL in the usageDescription array. BY_REFERENCE is the default if usageDescription is not used

  See Also:
    `RuntimeSystem.cobcall(Object retCode, String program, Object[] array, int[] usageDescription)`, `RuntimeSystem.ccall(Object retCode, String program, Object[] array, int[] usageDescription)`, `RuntimeSystem.ccall(String program, Object[] array, int[] usageDescription)`, Constant Field Values

### BY_CONTENT

    public static final int BY_CONTENT

  BY_CONTENT is used in non-OO calls to COBOL in the usageDescription array. BY_REFERENCE is the default if usageDescription is not used

  See Also:
    `RuntimeSystem.cobcall(Object retCode, String program, Object[] array, int[] usageDescription)`, `RuntimeSystem.ccall(Object retCode, String program, Object[] array, int[] usageDescription)`, `RuntimeSystem.ccall(String program, Object[] array, int[] usageDescription)`, Constant Field Values

### OUTPUT_ONLY

    public static final int OUTPUT_ONLY

  OUTPUT_ONLY is only available for J2EE application via our connector

  See Also:
    Constant Field Values

### updateByRefParams

    public static boolean updateByRefParams

  Static item which allows control over whether the objects in the parameter array corresponding to BY REFERENCE parameters in a COBOL method are updated on return from the cobinvoke...

Constructor Detail

### RuntimeProperties

    public RuntimeProperties()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.